package org.dromara.system.mapper;

import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.system.domain.TblDzbcFeedback;
import org.dromara.system.domain.vo.TblDzbcFeedbackVo;

import java.util.Collection;
import java.util.List;

public interface TblDzbcFeedbackMapper extends BaseMapperPlus<TblDzbcFeedback, TblDzbcFeedbackVo> {

    List<TblDzbcFeedbackVo> selectVoList(TblDzbcFeedbackVo vo);

    TblDzbcFeedbackVo selectVoById(Long id);

    List<TblDzbcFeedbackVo> selectVoByIds(Collection<Long> ids);

    List<TblDzbcFeedbackVo> selectByUserId(Long userId);
}
